#include <c64.h>
#include <conio.h>
#include "edit.h"
#include "diskio.h"


void print_menu(void) {
    clrscr();
    textcolor(1);
    cputs("HiColEdit r1          MagerValp/G*P 2010");
    cputs("----------------------------------------");
    revers(1); cputs(" $ "); revers(0); cputs(" Directory\r\n");
    revers(1); cputs(" L "); revers(0); cputs(" Load Art Studio image\r\n");
    revers(1); cputs(" S "); revers(0); cputs(" Save Art Studio image\r\n");
    revers(1); cputs(" E "); revers(0); cputs(" Edit color ram\r\n");
    revers(1); cputs(" Q "); revers(0); cputs(" Quit\r\n");
    
    cputsxy(0, 12, "Image format\r\n");
    cputs("------------\r\n");
    cputs("$2000-$3f3f Bitmap\r\n");
    cputs("$3f40-$4327 Screen RAM\r\n");
    cputs("9002 bytes including load address\r\n");
    cputs("\r\n");
    cputs("Editor keys\r\n");
    cputs("-----------\r\n");
    cputs("SPACE     Swap nybbles\r\n");
    cputs("X         Set corner for fill\r\n");
    cputs("<-        Toggle bitmap display\r\n");
    cputs("CURSOR    Move\r\n");
    cputs("RUN/STOP  Exit editor");
}

void main(void) {
    unsigned char c;
    
    VIC.bordercolor = 14;
    VIC.bgcolor0 = 6;
    print_menu();
    
    for (;;) {
        for (c = 7; c < 12; ++c) {
            cclearxy(0, c, 40);
        }
        
        c = cgetc();
        switch (c) {
            
            case '$':
            dir();
            print_menu();
            break;
            
            case 'l':
            load();
            break;
            
            case 's':
            save();
            break;
            
            case 'e':
            edit();
            break;
            
            case 'q':
            clrscr();
            textcolor(14);
            return;
            break;
            
        } 
    }
}
